package com.zzsn.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 *
 *
 */
@TableName("cis_col_site")
@Data
public class Site implements Serializable {
  private static final long serialVersionUID = 1L;

  @TableId(type =IdType.ASSIGN_ID)
  public String id; //`ID` varchar(9) NOT NULL,
  public String rid; //`RID` varchar(9) DEFAULT NULL,
  public String name; //`NAME` varchar(2000) DEFAULT NULL,
  public String uri; //`URI` varchar(500) DEFAULT NULL,
  public String category; //`CATEGORY` varchar(10) DEFAULT NULL,
  public String leve; //`LEVE` varchar(10) DEFAULT NULL,
  public String lang; //`LANG` varchar(10) DEFAULT NULL,
  public String collect; //`COLLECT` varchar(17) DEFAULT NULL,
  public String template; //`TEMPLATE` varchar(2048) DEFAULT NULL,
//  public String match; //`MATCH` varchar(1000) DEFAULT NULL,
  public String rule; //`RULE` varchar(30) DEFAULT NULL,
  public String scan; //`SCAN` varchar(30) DEFAULT NULL,
  public String status; //`STATUS` varchar(30) DEFAULT NULL,
  public String type; //`TYPE` varchar(10) DEFAULT NULL,
  public String createBy; //`CREATE_BY` varchar(50) DEFAULT NULL,
  public String createDate; //`CREATE_DATE` varchar(50) DEFAULT NULL,
  public String depth; //`DEPTH` varchar(3) DEFAULT NULL,
  public String orgId; //`ORG_ID` varchar(20) DEFAULT NULL,
  public String isLogin; //`IS_LOGIN` varchar(10) DEFAULT NULL,
  public String startTime; //`START_TIME` varchar(60) DEFAULT NULL,
  public String loginUrl; //`LOGIN_URL` varchar(500) DEFAULT NULL,
  public String loginName; //`LOGIN_NAME` varchar(50) DEFAULT NULL,
  public String loginNameAttr; //`LOGIN_NAME_ATTR` varchar(50) DEFAULT NULL,
  public String loginPwd; //`LOGIN_PWD` varchar(50) DEFAULT NULL,
  public String loginPwdAttr; //`LOGIN_PWD_ATTR` varchar(50) DEFAULT NULL,
  public String loginDomain; //`LOGIN_DOMAIN` varchar(500) DEFAULT NULL,
  public String hisUriExp; //`HIS_URI_EXP` varchar(500) DEFAULT NULL,
  public String hisDatePoint; //`HIS_DATE_POINT` varchar(50) DEFAULT NULL,
  public String hisCrawlState; //`HIS_CRAWL_STATE` varchar(9) DEFAULT NULL,
  public String hisCrawlRemark; //`HIS_CRAWL_REMARK` varchar(500) DEFAULT NULL,
  public String scopetags; //`SCOPETAGS` varchar(500) DEFAULT NULL,
  public String matchTitle; //`MATCH_TITLE` varchar(256) DEFAULT NULL,
  public String matchPublishDate; //`MATCH_PUBLISH_DATE` varchar(256) DEFAULT NULL,
  public String matchSummary; //`MATCH_SUMMARY` varchar(20) DEFAULT NULL,
  public String matchAuthor; //`MATCH_AUTHOR` varchar(256) DEFAULT NULL,
  public String matchOrigin; //`MATCH_ORIGIN` varchar(256) DEFAULT NULL,
  public String matchKeywords; //`MATCH_KEYWORDS` varchar(2000) DEFAULT NULL,
  public String matchContent; //`MATCH_CONTENT` varchar(1024) DEFAULT NULL,
  public String tid; //`TID` varchar(20) DEFAULT NULL,
  public String verifystatus; //`VERIFYSTATUS` varchar(256) DEFAULT NULL,
  public String domainUri; //`DOMAIN_URI` varchar(500) DEFAULT NULL,
  public String isForeign; //`IS_FOREIGN` varchar(10) DEFAULT NULL,
  public String onetime; //`ONETIME` varchar(9) DEFAULT NULL,
  public String isnw; //`ISNW` varchar(20) DEFAULT NULL,
  public String locale; //`LOCALE` varchar(60) DEFAULT NULL,
  public String allmatch; //`ALLMATCH` varchar(1024) DEFAULT NULL,
  public String iframeid; //`IFRAMEID` varchar(60) DEFAULT NULL

}
